Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.jce
Class SwiftJCENode

    java.lang.Object
      JCENode
          com.stc.swift.egategui.jce.SwiftJCENode

    public class SwiftJCENode

extends JCENode

Used to customize Swift Validation Collaborations nodes. We don't expect the error-prone actions "Delete", "Cut" for pre-installed collab nodes like SeeBeyond/OTD Library/Swift/2007/Validation Collaborations/ValidateMt_101.

Version:
  $Revision: 1.1 $

Constructor Summary
`SwiftJCENode(com.stc.model.common.ProjectElement element)` Constructor.

Method Summary
`boolean` | `canCut()`
`boolean` | `canDestroy()`
`boolean` | `canRename()`
`org.openide.util.actions.SystemAction[]` | `getActions()`
`javax.swing.Action[]` | `getActions(boolean context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftJCENode

    public SwiftJCENode(com.stc.model.common.ProjectElement element)

  Constructor.

  Parameters:
    `element` -

Method Detail

### canCut

    public boolean canCut()

  See Also:
    `com.stc.collabeditor.jce.module.JCENode#canCut()`

### canDestroy

    public boolean canDestroy()

  See Also:
    `ProjectTreeAbstractNode.canDestroy()`

### canRename

    public boolean canRename()

  See Also:
    `ProjectTreeAbstractNode.canRename()`

### getActions

    public org.openide.util.actions.SystemAction[] getActions()

  See Also:
    `com.stc.collabeditor.jce.module.JCENode#getActions()`

### getActions

    public javax.swing.Action[] getActions(boolean context)

  See Also:
    `org.openide.nodes.Node#getActions(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.